#!/usr/bin/env fish

function _update_count
    count (find ~/Pictures/To\ Organize/gdl-organizing/ -type f)
end

function track_files -a goal
    set -f original_count (_update_count)
    while test (_update_count) -ge $goal
        echo "Currently there are:" \
            (set_color red)(_update_count)(set_color normal)
        echo Delete (set_color green)(math (_update_count) - $goal)(set_color normal) "more files to finish"
        sleep 10
        clear
    end
end
